clear all
close all

factor=32;
aspect_ratio=7/9;  % horizontal/vertical
space=.1;          % ratio of space out of 1

ratio_matrix=[1 0; 0 7/(9*aspect_ratio)];
space=7*space/(2*(1-space));

%%%%%%%%%%%%%%%%%%%%%%%%%% Numbers %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

figure
hold on

% 7x9 characters multiplied by the factor and aspect ratio
%%% 1 %%%
coord1=flipud([7 0; 2 0; 2 1; 3 1; 3 8; 2 8; 3 9; 4 9; 4 1; 5 1; 5 0; 0 0]*ratio_matrix*factor);
coord1=coord1+[space*factor*ones(length(coord1),1) zeros(length(coord1),1)];
coord1(1,1)=0;
coord1(end,1)=coord1(end,1)+space*factor;
coord1=round(coord1);

%%% 2 %%%
t2_1=linspace(-2/5*pi,pi,13);
in_half=[2.5*cos(t2_1)+3.5; 2.5*sin(t2_1)+5.5]';
t2_2=linspace(pi,-2/5*pi,13);
out_half=[3.5*cos(t2_2)+3.5; 3.5*sin(t2_2)+5.5]';
coord2=flipud([7 0; 0 0; 0 1; in_half; 0 5.5; out_half ; 1.7 1;7 1; 7 0; 0 0]*ratio_matrix*factor);
coord2=coord2+[space*factor*ones(length(coord2),1) zeros(length(coord2),1)];
coord2(1,1)=0;
coord2(end,1)=coord2(end,1)+space*factor;
coord2=round(coord2);

%%% 3 %%%
t3_1=linspace(3/2*pi,pi,5);
sec3_1=[3.5*cos(t3_1)+3.5; 3.5*sin(t3_1)+3.5]';
t3_2=linspace(pi,2*pi,10);
sec3_2=[2.5*cos(t3_2)+3.5; 2.5*sin(t3_2)+3.5]';
t3_3=linspace(0,1/2*pi,5);
sec3_3=[1.5*cos(t3_3)+4.5; 1.5*sin(t3_3)+3.5]';
t3_4=linspace(3/2*pi,5/2*pi,10);
sec3_4=[1*cos(t3_4)+4.5; 1*sin(t3_4)+7]';
t3_5=linspace(1/2*pi,4/5*pi,5);
sec3_5=[3*cos(t3_5)+4.5; 3*sin(t3_5)+5]';
t3_6=fliplr(t3_5);
sec3_6=[4*cos(t3_6)+4.5; 4*sin(t3_6)+5]';
t3_7=linspace(1/2*pi,-1/4*pi,15);
sec3_7=[2*cos(t3_7)+4.5; 2*sin(t3_7)+7]';
t3_8=linspace(1/4*pi,0,5);
sec3_8=[2.5*cos(t3_8)+4.5; 2.5*sin(t3_8)+3.5]';
t3_9=linspace(0,-1/2*pi,7);
sec3_9=[3.5*cos(t3_9)+3.5; 3.5*sin(t3_9)+3.5]';
coord3=flipud([7 0; sec3_1; 1 3.5; sec3_2; sec3_3; 3.5 5; 3.5 6; 4.5 6; sec3_4; sec3_5; 1.1 7.2; sec3_6; sec3_7; sec3_8; sec3_9; 0 0]*ratio_matrix*factor);
coord3=coord3+[space*factor*ones(length(coord3),1) zeros(length(coord3),1)];
coord3(1,1)=0;
coord3(end,1)=coord3(end,1)+space*factor;
coord3=round(coord3);

%%% 4 %%%
coord4=flipud([7 0; 4.5 0; 4.5 2; 0 2; 0 3; 3 9; 4.1 9; 1.3 3; 4.5 3; 4.5 9; 5.5 9; 5.5 3; 6.5 3; 6.5 2; 5.5 2; 5.5 0; 0 0]*ratio_matrix*factor);
coord4=coord4+[space*factor*ones(length(coord4),1) zeros(length(coord4),1)];
coord4(1,1)=0;
coord4(end,1)=coord4(end,1)+space*factor;
coord4=round(coord4);

%%% 5 %%%
t5_1=linspace(-1/2*pi,.75*pi,13);
sec5_1=[3.5*cos(t5_1)+3.5; 3*sin(t5_1)+3]';
t5_2=linspace(.8*pi, -6/7*pi, 15);
sec5_2=[2.5*cos(t5_2)+3.5; 2*sin(t5_2)+3]';
t5_3=linspace(-6/7*pi, -1/2*pi, 5);
sec5_3=[3.5*cos(t5_3)+3.5; 3*sin(t5_3)+3]';
coord5=[0 0; 3.5 0; sec5_1; 1 8; 7 8; 7 9; 0 9; 0 4.5; sec5_2; sec5_3; 7 0]*ratio_matrix*factor;
coord5=coord5+[space*factor*ones(length(coord5),1) zeros(length(coord5),1)];
coord5(1,1)=0;
coord5(end,1)=coord5(end,1)+space*factor;
coord5=round(coord5);

%%% 6 %%%
t6_1=linspace(3/2*pi,.7*pi,10);
sec6_1=[3.5*cos(t6_1)+3.5; 3.5*sin(t6_1)+3.5]';
t6_2=linspace(.6*pi, 1/2*pi,5);
sec6_2=[4*cos(t6_2)+3.5; 4*sin(t6_2)+2]';
t6_3=linspace(1/2*pi,0,5);
sec6_3=[2.5*cos(t6_3)+4.5; 2.5*sin(t6_3)+3.5]';
t6_4=linspace(0,-1/2*pi,10);
sec6_4=[3.5*cos(t6_4)+3.5; 3.5*sin(t6_4)+3.5]';
t6_5=linspace(3/2*pi,pi,5);
sec6_5=[2.5*cos(t6_5)+3.5; 2.5*sin(t6_5)+3.5]';
t6_6=linspace(pi, 1/2*pi,5);
sec6_6=[1.5*cos(t6_6)+2.5; 1.5*sin(t6_6)+3.5]';
t6_7=linspace(1/2*pi,0,5);
sec6_7=[1.5*cos(t6_7)+4.5; 1.5*sin(t6_7)+3.5]';
t6_8=linspace(0,-1/2*pi,10);
sec6_8=[2.5*cos(t6_8)+3.5; 2.5*sin(t6_8)+3.5]';
coord6=flipud([7 0; sec6_1; 4 9; 5 8.5; 2.2 5.7; sec6_2; 4 6; sec6_3; sec6_4; 3.5 1; sec6_5; sec6_6; 4 5; sec6_7; sec6_8; 3.5 0; 0 0]*ratio_matrix*factor);
coord6=coord6+[space*factor*ones(length(coord6),1) zeros(length(coord6),1)];
coord6(1,1)=0;
coord6(end,1)=coord6(end,1)+space*factor;
coord6=round(coord6);

%%% 7 %%%
coord7=flipud([7 0; 1 0; 5.8 8; 0 8; 0 9; 7 9; 7 8; 2.3 0; 0 0]*ratio_matrix*factor);
coord7=coord7+[space*factor*ones(length(coord7),1) zeros(length(coord7),1)];
coord7(1,1)=0;
coord7(end,1)=coord7(end,1)+space*factor;
coord7=round(coord7);

%%% 8 %%%
t8_1=linspace(3/2*pi,pi,5);
sec8_1=[3.5*cos(t8_1)+3.5; 3.5*sin(t8_1)+3.5]';
t8_2=linspace(pi,3/4*pi,5);
sec8_2=[2.5*cos(t8_2)+2.5; 2.5*sin(t8_2)+3.5]';
t8_3=linspace(5/4*pi,1/2*pi,15);
sec8_3=[2*cos(t8_3)+2.5; 2*sin(t8_3)+7]';
t8_4=linspace(1/2*pi,-1/4*pi,15);
sec8_4=[2*cos(t8_4)+4.5; 2*sin(t8_4)+7]';
t8_5=linspace(1/4*pi,0,5);
sec8_5=[2.5*cos(t8_5)+4.5; 2.5*sin(t8_5)+3.5]';
t8_6=linspace(0,-1/2*pi,7);
sec8_6=[3.5*cos(t8_6)+3.5; 3.5*sin(t8_6)+3.5]';
t8_7=linspace(3/2*pi,pi,5);
sec8_7=[2.5*cos(t8_7)+3.5; 2.5*sin(t8_7)+3.5]';
t8_8=linspace(pi,1/2*pi,5);
sec8_8=[1.5*cos(t8_8)+2.5; 1.5*sin(t8_8)+3.5]';
t8_9=linspace(3/2*pi,1/2*pi,10);
sec8_9=[1*cos(t8_9)+2.5; 1*sin(t8_9)+7]';
t8_10=linspace(1/2*pi,-1/2*pi,10);
sec8_10=[1*cos(t8_10)+4.5; 1*sin(t8_10)+7]';
t8_11=linspace(1/2*pi,0,7);
sec8_11=[1.5*cos(t8_11)+4.5; 1.5*sin(t8_11)+3.5]';
t8_12=linspace(0,-1/2*pi,7);
sec8_12=[2.5*cos(t8_12)+3.5; 2.5*sin(t8_12)+3.5]';
coord8=flipud([7 0; sec8_1; sec8_2; sec8_3; 4.5 9; sec8_4; sec8_5; sec8_6; 3.5 1; sec8_7; sec8_8; 3.5 5; 3.5 6; 2.5 6; sec8_9; 4.5 8; sec8_10; 3.5 6; 3.5 5; sec8_11; sec8_12; 3.5 0; 0 0]*ratio_matrix*factor);
coord8=coord8+[space*factor*ones(length(coord8),1) zeros(length(coord8),1)];
coord8(1,1)=0;
coord8(end,1)=coord8(end,1)+space*factor;
coord8=round(coord8);

%%% 9 %%%
t9_1=linspace(-.4*pi, -1/2*pi,5);
sec9_1=[4*cos(t9_1)+3.5; 4*sin(t9_1)+7]';
t9_2=linspace(3/2*pi,pi,5);
sec9_2=[2.5*cos(t9_2)+2.5; 2.5*sin(t9_2)+5.5]';
t9_3=linspace(pi,1/2*pi,5);
sec9_3=[3.5*cos(t9_3)+3.5; 3.5*sin(t9_3)+5.5]';
t9_4=fliplr(t9_3);
sec9_4=[2.5*cos(t9_4)+3.5; 2.5*sin(t9_4)+5.5]';
t9_5=linspace(pi, 3/2*pi,5);
sec9_5=[1.5*cos(t9_5)+2.5; 1.5*sin(t9_5)+5.5]';
t9_6=linspace(-1/2*pi, 0,5);
sec9_6=[1.5*cos(t9_6)+4.5; 1.5*sin(t9_6)+5.5]';
t9_7=linspace(0,1/2*pi,5);
sec9_7=[2.5*cos(t9_7)+3.5; 2.5*sin(t9_7)+5.5]';
t9_8=linspace(1/2*pi,-0.3*pi,10);
sec9_8=[3.5*cos(t9_8)+3.5; 3.5*sin(t9_8)+5.5]';
coord9=flipud([7 0; 3 0; 2 0.5; 4.8 3.3; sec9_1; 3 3; sec9_2; sec9_3; 3.5 8; sec9_4; sec9_5; 4.5 4; sec9_6; sec9_7; 3.5 9; sec9_8; 3 0; 0 0]*ratio_matrix*factor);
coord9=coord9+[space*factor*ones(length(coord9),1) zeros(length(coord9),1)];
coord9(1,1)=0;
coord9(end,1)=coord9(end,1)+space*factor;
coord9=round(coord9);

%%% 0 %%%
t0_1=linspace(3/2*pi,7/2*pi,20);
sec0_1=[3.5*cos(t0_1)+3.5; 4.5*sin(t0_1)+4.5]';
t0_2=linspace(3/2*pi,7/2*pi,20);
sec0_2=[2.5*cos(t0_2)+3.5; 3.5*sin(t0_2)+4.5]';
coord0=[0 0; 3.5 0; sec0_1; 3.5 1; sec0_2; 3.5 0; 7 0]*ratio_matrix*factor;
coord0=coord0+[space*factor*ones(length(coord0),1) zeros(length(coord0),1)];
coord0(1,1)=0;
coord0(end,1)=coord0(end,1)+space*factor;
coord0=round(coord0);

width=coord1(end,1)-coord1(1,1);
sh_coord2=coord2+[1*width*ones(length(coord2),1) zeros(length(coord2),1)];
sh_coord3=coord3+[2*width*ones(length(coord3),1) zeros(length(coord3),1)];
sh_coord4=coord4+[3*width*ones(length(coord4),1) zeros(length(coord4),1)];
sh_coord5=coord5+[4*width*ones(length(coord5),1) zeros(length(coord5),1)];
sh_coord6=coord6+[5*width*ones(length(coord6),1) zeros(length(coord6),1)];
sh_coord7=coord7+[6*width*ones(length(coord7),1) zeros(length(coord7),1)];
sh_coord8=coord8+[7*width*ones(length(coord8),1) zeros(length(coord8),1)];
sh_coord9=coord9+[8*width*ones(length(coord9),1) zeros(length(coord9),1)];
sh_coord0=coord0+[9*width*ones(length(coord0),1) zeros(length(coord0),1)];
num_coord=[coord1; sh_coord2; sh_coord3; sh_coord4; sh_coord5; sh_coord6; sh_coord7; sh_coord8; sh_coord9; sh_coord0];
num_coord=num_coord+[factor*1*ones(length(num_coord),1) factor*2*ones(length(num_coord),1)];
num_coord=num_coord';
X_num=num_coord(1,1:end);
Y_num=num_coord(2,1:end);
line(X_num,Y_num)
axis([0,100*factor,0,18*factor])    % frame
grid on
grid minor
hold off


%%%%%%%%%%%%%%%%%%%%%%%%%% Letters %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

figure
hold on
grid on 
grid minor

% 7x9 characters multiplied by the factor and aspect ratio

%%% A %%%
coordA = flipud([7 0; 0 0; 3 9; 3.5 9; 3.5 8; 2.5 5; 4.5 5; 3.5 8;3.5 9; 4 9; 7 0; 6 0; 4.7 4; 2.3 4; 1 0; 0 0]*ratio_matrix*factor);
coordA=coordA+[space*factor*ones(length(coordA),1) zeros(length(coordA),1)];
coordA(1,1)=0;
coordA(end,1)=coordA(end,1)+space*factor;
coordA=round(coordA);

%%% B %%%
tB_1=linspace(-1/2*pi,1/4*pi,10);
secB_1=[2.7*cos(tB_1)+4.5; 2.7*sin(tB_1)+2.7]';
tB_2=linspace(-1/4*pi,1/2*pi,10);
secB_2=[2.2*cos(tB_2)+4.5; 2.2*sin(tB_2)+6.8]';
tB_3=linspace(1/2*pi,-1/2*pi,10);
secB_3=[1.2*cos(tB_3)+4.5; 1.2*sin(tB_3)+6.8]';
tB_4=linspace(1/2*pi,-1/2*pi,10);
secB_4=[1.8*cos(tB_4)+4.5; 1.8*sin(tB_4)+2.8]';
coordB = [0 0; 4.5 0; secB_1; secB_2; 0 9; 0 0; 1 0; 1 8; 4.5 8; secB_3; 1 5.6; 1 4.6; 4.5 4.6; secB_4; 1 1; 1 0; 7 0]*ratio_matrix*factor;
coordB=coordB+[space*factor*ones(length(coordB),1) zeros(length(coordB),1)];
coordB(1,1)=0;
coordB(end,1)=coordB(end,1)+space*factor;
coordB=round(coordB);

%%% C %%%
tC_1=linspace(-1/2*pi,-1/4*pi,6);
secC_1=[3.5*cos(tC_1)+3.5; 4.5*sin(tC_1)+4.5]';
tC_2=linspace(7/4*pi,1/4*pi,15);
secC_2=[2.5*cos(tC_2)+3.5; 3.5*sin(tC_2)+4.5]';
tC_3=linspace(1/4*pi,3/2*pi,15);
secC_3=[3.5*cos(tC_3)+3.5; 4.5*sin(tC_3)+4.5]';
coordC = [0 0; 3.5 0; secC_1; secC_2; secC_3; 7 0]*ratio_matrix*factor;
coordC=coordC+[space*factor*ones(length(coordC),1) zeros(length(coordC),1)];
coordC(1,1)=0;
coordC(end,1)=coordC(end,1)+space*factor;
coordC=round(coordC);

%%% D %%%
tD_1=linspace(-1/2*pi,1/2*pi,15);
secD_1=[3.5*cos(tD_1)+3.5; 4.5*sin(tD_1)+4.5]';
tD_2=linspace(1/2*pi,-1/2*pi,15);
secD_2=[2.5*cos(tD_2)+3.5; 3.5*sin(tD_2)+4.5]';
coordD = [0 0; 3.5 0; secD_1; 0 9; 0 0; 1 0; 1 8; 3.5 8; secD_2; 1 1; 1 0; 7 0]*ratio_matrix*factor;
coordD=coordD+[space*factor*ones(length(coordD),1) zeros(length(coordD),1)];
coordD(1,1)=0;
coordD(end,1)=coordD(end,1)+space*factor;
coordD=round(coordD);

%%% E %%%
coordE = [0 0; 7 0; 7 1; 1 1; 1 4; 6 4; 6 5; 1 5; 1 8; 7 8; 7 9; 0 9; 0 0; 7 0]*ratio_matrix*factor;
coordE=coordE+[space*factor*ones(length(coordE),1) zeros(length(coordE),1)];
coordE(1,1)=0;
coordE(end,1)=coordE(end,1)+space*factor;
coordE=round(coordE);

%%% F %%%
coordF = [0 0; 1 0; 1 4; 6 4; 6 5; 1 5; 1 8; 7 8; 7 9; 0 9; 0 0; 7 0]*ratio_matrix*factor;
coordF=coordF+[space*factor*ones(length(coordF),1) zeros(length(coordF),1)];
coordF(1,1)=0;
coordF(end,1)=coordF(end,1)+space*factor;
coordF=round(coordF);

%%% G %%%
tG_1=linspace(-1/2*pi,-1/4*pi,6);
secG_1=[3.5*cos(tG_1)+3.5; 4.5*sin(tG_1)+4.5]';
tG_2=linspace(7/4*pi,1/4*pi,15);
secG_2=[2.5*cos(tG_2)+3.5; 3.5*sin(tG_2)+4.5]';
tG_3=linspace(1/4*pi,3/2*pi,15);
secG_3=[3.5*cos(tG_3)+3.5; 4.5*sin(tG_3)+4.5]';
coordG = [0 0; 3.5 0; secG_1; 6 0; 7 0; 7 4; 4 4; 4 3; 6 3; secG_2; secG_3; 7 0]*ratio_matrix*factor;
coordG=coordG+[space*factor*ones(length(coordG),1) zeros(length(coordG),1)];
coordG(1,1)=0;
coordG(end,1)=coordG(end,1)+space*factor;
coordG=round(coordG);

%%% H %%%
coordH = [0 0; 1 0; 1 4; 6 4; 6 0; 7 0; 7 9; 6 9; 6 5; 1 5; 1 9; 0 9; 0 0; 7 0]*ratio_matrix*factor;
coordH=coordH+[space*factor*ones(length(coordH),1) zeros(length(coordH),1)];
coordH(1,1)=0;
coordH(end,1)=coordH(end,1)+space*factor;
coordH=round(coordH);

%%% I %%%
coordI = flipud([7 0; 2 0; 2 1; 3 1; 3 8; 2 8; 2 9; 5 9; 5 8; 4 8; 4 1; 5 1; 5 0; 0 0]*ratio_matrix*factor);
coordI=coordI+[space*factor*ones(length(coordI),1) zeros(length(coordI),1)];
coordI(1,1)=0;
coordI(end,1)=coordI(end,1)+space*factor;
coordI=round(coordI);

%%% J %%%
tJ_1=linspace(-1/2*pi,0,7);
secJ_1=[3*cos(tJ_1)+3; 3*sin(tJ_1)+3]';
tJ_2=linspace(0,-pi,10);
secJ_2=[2*cos(tJ_2)+3; 2*sin(tJ_2)+3]';
tJ_3=linspace(pi,3/2*pi,7);
secJ_3=[3*cos(tJ_3)+3; 3*sin(tJ_3)+3]';
coordJ=[0 0; 3 0; secJ_1; 6 8; 7 8; 7 9; 4 9; 4 8; 5 8; 5 3; secJ_2; 0 3; secJ_3; 7 0]*ratio_matrix*factor;
coordJ=coordJ+[space*factor*ones(length(coordJ),1) zeros(length(coordJ),1)];
coordJ(1,1)=0;
coordJ(end,1)=coordJ(end,1)+space*factor;
coordJ=round(coordJ);

%%% K %%%
coordK = [0 0; 1 0; 1 4; 2 5; 6 0; 7 0; 2.6 5.6; 6 9; 5 9; 1 5; 1 9; 0 9; 0 0; 7 0]*ratio_matrix*factor;
coordK=coordK+[space*factor*ones(length(coordK),1) zeros(length(coordK),1)];
coordK(1,1)=0;
coordK(end,1)=coordK(end,1)+space*factor;
coordK=round(coordK);

%%% L %%%
coordL = [0 0; 7 0; 7 1; 1 1; 1 9; 0 9; 0 0; 7 0]*ratio_matrix*factor;
coordL=coordL+[space*factor*ones(length(coordL),1) zeros(length(coordL),1)];
coordL(1,1)=0;
coordL(end,1)=coordL(end,1)+space*factor;
coordL=round(coordL);

%%% M %%%
coordM = [0 0; 1 0; 1 6.6; 3 1; 4 1; 6 6.6; 6 0; 7 0; 7 9; 6 9; 3.5 2.3; 1 9; 0 9; 0 0; 7 0]*ratio_matrix*factor;
coordM=coordM+[space*factor*ones(length(coordM),1) zeros(length(coordM),1)];
coordM(1,1)=0;
coordM(end,1)=coordM(end,1)+space*factor;
coordM=round(coordM);

%%% N %%%
coordN = [0 0; 1 0; 1 7; 6 0; 7 0; 7 9; 6 9; 6 2; 1 9; 0 9; 0 0; 7 0]*ratio_matrix*factor;
coordN=coordN+[space*factor*ones(length(coordN),1) zeros(length(coordN),1)];
coordN(1,1)=0;
coordN(end,1)=coordN(end,1)+space*factor;
coordN=round(coordN);

%%% O %%%
tO_1=linspace(3/2*pi,pi,5);
secO_1=[3.5*cos(tO_1)+3.5; 3.5*sin(tO_1)+3.5]';
tO_2=linspace(pi,0,10);
secO_2=[3.5*cos(tO_2)+3.5; 3.5*sin(tO_2)+5.5]';
tO_3=linspace(0,-1/2*pi,5);
secO_3=[3.5*cos(tO_3)+3.5; 3.5*sin(tO_3)+3.5]';
tO_4=linspace(3/2*pi,pi,5);
secO_4=[2.5*cos(tO_4)+3.5; 2.5*sin(tO_4)+3.5]';
tO_5=linspace(pi,0,10);
secO_5=[2.5*cos(tO_5)+3.5; 2.5*sin(tO_5)+5.5]';
tO_6=linspace(0,-1/2*pi,5);
secO_6=[2.5*cos(tO_6)+3.5; 2.5*sin(tO_6)+3.5]';
coordO=flipud([7 0; secO_1; 0 5.5; secO_2; 7 3.5; secO_3; 3.5 1; secO_4; 1 5.5; secO_5; 6 3.5; secO_6; 3.5 0; 0 0]*ratio_matrix*factor);
coordO=coordO+[space*factor*ones(length(coordO),1) zeros(length(coordO),1)];
coordO(1,1)=0;
coordO(end,1)=coordO(end,1)+space*factor;
coordO=round(coordO);

%%% P %%%
tP_1=linspace(1/2*pi,-1/2*pi,10);
secP_1=[1.5*cos(tP_1)+4.5; 1.5*sin(tP_1)+6.5]';
tP_2=linspace(-1/2*pi,1/2*pi,10);
secP_2=[2.5*cos(tP_2)+4.5; 2.5*sin(tP_2)+6.5]';
coordP=[0 0; 1 0; 1 8; 4.5 8; secP_1; 1 5; 1 4; 4.5 4; secP_2; 0 9; 0 0; 7 0]*ratio_matrix*factor;
coordP=coordP+[space*factor*ones(length(coordP),1) zeros(length(coordP),1)];
coordP(1,1)=0;
coordP(end,1)=coordP(end,1)+space*factor;
coordP=round(coordP);

%%% Q %%%
tQ_1=linspace(-1/2*pi,-.31*pi,5);
secQ_1=[3.5*cos(tQ_1)+3.5; 3.5*sin(tQ_1)+3.5]';
tQ_2=linspace(-.22*pi,0,3);
secQ_2=[3.5*cos(tQ_2)+3.5; 3.5*sin(tQ_2)+3.5]';
tQ_3=linspace(0,pi,10);
secQ_3=[3.5*cos(tQ_3)+3.5; 3.5*sin(tQ_3)+5.5]';
tQ_4=linspace(pi,3/2*pi,5);
secQ_4=[3.5*cos(tQ_4)+3.5; 3.5*sin(tQ_4)+3.5]';
tQ_5=linspace(-1/2*pi,-.31*pi,3);
secQ_5=[2.5*cos(tQ_5)+3.5; 2.5*sin(tQ_5)+3.5]';
tQ_6=linspace(-.2*pi,0,3);
secQ_6=[2.5*cos(tQ_6)+3.5; 2.5*sin(tQ_6)+3.5]';
tQ_7=linspace(0,pi,10);
secQ_7=[2.5*cos(tQ_7)+3.5; 2.5*sin(tQ_7)+5.5]';
tQ_8=linspace(pi,3/2*pi,5);
secQ_8=[2.5*cos(tQ_8)+3.5; 2.5*sin(tQ_8)+3.5]';
coordQ=[0 0; 3.5 0; secQ_1; 6.1 0; 6.9 0.5; secQ_2; 7 5.5; secQ_3; 0 3.5; secQ_4; 3.5 1; secQ_5; 3.7 2.9; 4.5 3.4; secQ_6; 6 5.5; secQ_7; 1 3.5; secQ_8; 3.5 0; 7 0]*ratio_matrix*factor;
coordQ=coordQ+[space*factor*ones(length(coordQ),1) zeros(length(coordQ),1)];
coordQ(1,1)=0;
coordQ(end,1)=coordQ(end,1)+space*factor;
coordQ=round(coordQ);

%%% R %%%
tR_1=linspace(1/2*pi,-1/2*pi,10);
secR_1=[1.5*cos(tR_1)+4.5; 1.5*sin(tR_1)+6.5]';
tR_2=linspace(-.45*pi,1/2*pi,10);
secR_2=[2.5*cos(tR_2)+4.5; 2.5*sin(tR_2)+6.5]';
coordR=[0 0; 1 0; 1 8; 4.5 8; secR_1; 1 5; 1 4; 3.5 4; 6 0; 7 0; 4.5 4; secR_2; 0 9; 0 0; 7 0]*ratio_matrix*factor;
coordR=coordR+[space*factor*ones(length(coordR),1) zeros(length(coordR),1)];
coordR(1,1)=0;
coordR(end,1)=coordR(end,1)+space*factor;
coordR=round(coordR);

%%% S %%%
tS_1=linspace(-1/2*pi,1/2*pi,13);
secS_1=[3.5*cos(tS_1)+3.5; 2.75*sin(tS_1)+2.75]';
tS_2=linspace(3/2*pi,1/4*pi,13);
secS_2=[2.3*cos(tS_2)+3.5; 1.25*sin(tS_2)+6.75]';
tS_3=linspace(1/4*pi,3/2*pi,13);
secS_3=[3.5*cos(tS_3)+3.5; 2.25*sin(tS_3)+6.75]';
tS_4=linspace(1/2*pi,-0.9*pi,15);
secS_4=[2.3*cos(tS_4)+3.5; 1.75*sin(tS_4)+2.75]';
tS_5=linspace(-0.9*pi,-1/2*pi,10);
secS_5=[3.5*cos(tS_5)+3.5; 2.75*sin(tS_5)+2.75]';
coordS=[0 0; 3.5 0; secS_1; secS_2; secS_3; secS_4; secS_5; 7 0]*ratio_matrix*factor;
coordS=coordS+[space*factor*ones(length(coordS),1) zeros(length(coordS),1)];
coordS(1,1)=0;
coordS(end,1)=coordS(end,1)+space*factor;
coordS=round(coordS);

%%% T %%%
coordT = [0 0; 4 0; 4 8; 7 8; 7 9; 0 9; 0 8; 3 8; 3 0; 7 0]*ratio_matrix*factor;
coordT=coordT+[space*factor*ones(length(coordT),1) zeros(length(coordT),1)];
coordT(1,1)=0;
coordT(end,1)=coordT(end,1)+space*factor;
coordT=round(coordT);

%%% U %%%
tU_1=linspace(-1/2*pi,0,6);
secU_1=[3.5*cos(tU_1)+3.5; 3.5*sin(tU_1)+3.5]';
tU_2=linspace(0,-pi,10);
secU_2=[2.5*cos(tU_2)+3.5; 2.5*sin(tU_2)+3.5]';
tU_3=linspace(-pi,-1/2*pi,6);
secU_3=[3.5*cos(tU_3)+3.5; 3.5*sin(tU_3)+3.5]';
coordU=[0 0; 3.5 0; secU_1; 7 9; 6 9; 6 3.5; secU_2; 1 9; 0 9; 0 3.5; secU_3; 7 0]*ratio_matrix*factor;
coordU=coordU+[space*factor*ones(length(coordU),1) zeros(length(coordU),1)];
coordU(1,1)=0;
coordU(end,1)=coordU(end,1)+space*factor;
coordU=round(coordU);

%%% V %%%
coordV = [0 0; 4 0; 7 9; 6 9; 3.5 1.3; 1 9; 0 9; 3 0; 7 0]*ratio_matrix*factor;
coordV=coordV+[space*factor*ones(length(coordV),1) zeros(length(coordV),1)];
coordV(1,1)=0;
coordV(end,1)=coordV(end,1)+space*factor;
coordV=round(coordV);

%%% W %%%
coordW = [0 0; 2 0; 3.5 6.6; 5 0; 6 0; 7 9; 6 9; 5.3 2.4; 4 8; 3 8; 1.7 2.4; 1 9; 0 9; 1 0; 7 0]*ratio_matrix*factor;
coordW=coordW+[space*factor*ones(length(coordW),1) zeros(length(coordW),1)];
coordW(1,1)=0;
coordW(end,1)=coordW(end,1)+space*factor;
coordW=round(coordW);

%%% X %%%
coordX = [0 0; 1 0; 3.5 3.75; 6 0; 7 0; 4 4.5; 7 9; 6 9; 3.5 5.25; 1 9; 0 9; 3 4.5; 0 0; 7 0]*ratio_matrix*factor;
coordX=coordX+[space*factor*ones(length(coordX),1) zeros(length(coordX),1)];
coordX(1,1)=0;
coordX(end,1)=coordX(end,1)+space*factor;
coordX=round(coordX);

%%% Y %%%
coordY = [0 0; 4 0; 4 4; 7 9; 6 9; 3.5 5; 1 9; 0 9; 3 4; 3 0; 7 0]*ratio_matrix*factor;
coordY=coordY+[space*factor*ones(length(coordY),1) zeros(length(coordY),1)];
coordY(1,1)=0;
coordY(end,1)=coordY(end,1)+space*factor;
coordY=round(coordY);

%%% Z %%%
coordZ = [0 0; 7 0; 7 1; 1.4 1; 7 8; 7 9; 0 9; 0 8; 5.6 8; 0 1; 0 0; 7 0]*ratio_matrix*factor;
coordZ=coordZ+[space*factor*ones(length(coordZ),1) zeros(length(coordZ),1)];
coordZ(1,1)=0;
coordZ(end,1)=coordZ(end,1)+space*factor;
coordZ=round(coordZ);


sh_coordB=coordB+[1*width*ones(length(coordB),1) zeros(length(coordB),1)];
sh_coordC=coordC+[2*width*ones(length(coordC),1) zeros(length(coordC),1)];
sh_coordD=coordD+[3*width*ones(length(coordD),1) zeros(length(coordD),1)];
sh_coordE=coordE+[4*width*ones(length(coordE),1) zeros(length(coordE),1)];
sh_coordF=coordF+[5*width*ones(length(coordF),1) zeros(length(coordF),1)];
sh_coordG=coordG+[6*width*ones(length(coordG),1) zeros(length(coordG),1)];
sh_coordH=coordH+[7*width*ones(length(coordH),1) zeros(length(coordH),1)];
sh_coordI=coordI+[8*width*ones(length(coordI),1) zeros(length(coordI),1)];
sh_coordJ=coordJ+[9*width*ones(length(coordJ),1) zeros(length(coordJ),1)];
sh_coordK=coordK+[10*width*ones(length(coordK),1) zeros(length(coordK),1)];
sh_coordL=coordL+[11*width*ones(length(coordL),1) zeros(length(coordL),1)];
sh_coordM=coordM+[12*width*ones(length(coordM),1) zeros(length(coordM),1)];
sh_coordN=coordN+[13*width*ones(length(coordN),1) zeros(length(coordN),1)];
sh_coordO=coordO+[14*width*ones(length(coordO),1) zeros(length(coordO),1)];
sh_coordP=coordP+[15*width*ones(length(coordP),1) zeros(length(coordP),1)];
sh_coordQ=coordQ+[16*width*ones(length(coordQ),1) zeros(length(coordQ),1)];
sh_coordR=coordR+[17*width*ones(length(coordR),1) zeros(length(coordR),1)];
sh_coordS=coordS+[18*width*ones(length(coordS),1) zeros(length(coordS),1)];
sh_coordT=coordT+[19*width*ones(length(coordT),1) zeros(length(coordT),1)];
sh_coordU=coordU+[20*width*ones(length(coordU),1) zeros(length(coordU),1)];
sh_coordV=coordV+[21*width*ones(length(coordV),1) zeros(length(coordV),1)];
sh_coordW=coordW+[22*width*ones(length(coordW),1) zeros(length(coordW),1)];
sh_coordX=coordX+[23*width*ones(length(coordX),1) zeros(length(coordX),1)];
sh_coordY=coordY+[24*width*ones(length(coordY),1) zeros(length(coordY),1)];
sh_coordZ=coordZ+[25*width*ones(length(coordZ),1) zeros(length(coordZ),1)];
char_coord=[coordA; sh_coordB; sh_coordC; sh_coordD; sh_coordE; sh_coordF; sh_coordG; sh_coordH; sh_coordI; sh_coordJ; sh_coordK; sh_coordL; sh_coordM; sh_coordN; sh_coordO; sh_coordP; sh_coordQ; sh_coordR; sh_coordS; sh_coordT; sh_coordU; sh_coordV; sh_coordW; sh_coordX; sh_coordY; sh_coordZ];
char_coord=char_coord+[factor*1*ones(length(char_coord),1) factor*2*ones(length(char_coord),1)];
char_coord=char_coord';
X_char=char_coord(1,1:end);
Y_char=char_coord(2,1:end);
line(X_char,Y_char)
axis([0,230*factor,0,18*factor])    % frame

%%%%%%%%%%%%%%%%%%%%%%%%%% Special Characters %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

figure
hold on
grid on 
grid minor

% 7x9 characters multiplied by the factor and aspect ratio

%%% space %%%
coord_space=[0 0; 7 0]*ratio_matrix*factor;
coord_space=coord_space+[space*factor*ones(length(coord_space),1) zeros(length(coord_space),1)];
coord_space(1,1)=0;
coord_space(end,1)=coord_space(end,1)+space*factor;
coord_space=round(coord_space);

%%% colon %%%
t_col_1=linspace(0,2*pi,13);
sec_col_1=[0.5*cos(t_col_1)+3.5; 0.5*sin(t_col_1)+2.5]';
t_col_2=linspace(2*pi,0,13);
sec_col_2=[0.5*cos(t_col_2)+3.5; 0.5*sin(t_col_2)+6.5]';
coord_col=[0 0; 4 0; 4 2.5; sec_col_1; 4 6.5; sec_col_2; 4 0; 7 0]*ratio_matrix*factor;
coord_col=coord_col+[space*factor*ones(length(coord_col),1) zeros(length(coord_col),1)];
coord_col(1,1)=0;
coord_col(end,1)=coord_col(end,1)+space*factor;
coord_col=round(coord_col);

%%% dot %%%
t_dot_1=linspace(-1/2*pi,3/2*pi, 10);
sec_dot_1=[0.5*cos(t_dot_1)+2; 0.5*sin(t_dot_1)+0.5]';
coord_dot=[0 0; 2 0; sec_dot_1; 7 0]*ratio_matrix*factor;
coord_dot(1,1)=0;
coord_dot(end,1)=coord_dot(end,1)+space*factor;
coord_dot=round(coord_dot);

%%% comma %%%
t_comma_1=linspace(0,1.5*pi, 15);
sec_comma_1=[0.5*cos(t_comma_1)+2; 0.25*sin(t_comma_1)+1]';
coord_comma=[0 0; 2 0; 2.5 1; sec_comma_1; 1.7 0.2; 2 0; 7 0]*ratio_matrix*factor;
coord_comma(1,1)=0;
coord_comma(end,1)=coord_comma(end,1)+space*factor;
coord_comma=round(coord_comma);

%%% question mark %%%
t_qmark_1=linspace(-.45*pi,pi,15);
sec_qmark_1=[2.75*cos(t_qmark_1)+3.5; 2.75*sin(t_qmark_1)+6.25]';
t_qmark_2=linspace(pi,-.5*pi, 15);
sec_qmark_2=[1.75*cos(t_qmark_2)+3.5; 1.75*sin(t_qmark_2)+6.25]';
coord_qmark=[0 0; 4 0; 4 3.5; sec_qmark_1; sec_qmark_2; 3 4.5; 3 2; 4 2; 4 1; 3 1; 3 0; 7 0]*ratio_matrix*factor;
coord_qmark(1,1)=0;
coord_qmark(end,1)=coord_qmark(end,1)+space*factor;
coord_qmark=round(coord_qmark);

%%% exclamation mark %%%
coord_emark=[0 0; 4 0; 4 2; 4.5 9; 2.5 9; 3 2; 4 2; 4 1; 3 1; 3 0; 7 0]*ratio_matrix*factor;
coord_emark(1,1)=0;
coord_emark(end,1)=coord_emark(end,1)+space*factor;
coord_emark=round(coord_emark);

%%% slash %%%
coord_slash=[0 0; 1 0; 7 8.4; 6 9; 0 .6; 1 0; 7 0]*ratio_matrix*factor;
coord_slash(1,1)=0;
coord_slash(end,1)=coord_slash(end,1)+space*factor;
coord_slash=round(coord_slash);

%%% semicolon %%%

%%% back slash %%%

%%% hyphen %%%


sh_coord_col=coord_col+[1*width*ones(length(coord_col),1) zeros(length(coord_col),1)];
sh_coord_dot=coord_dot+[2*width*ones(length(coord_dot),1) zeros(length(coord_dot),1)];
sh_coord_comma=coord_comma+[3*width*ones(length(coord_comma),1) zeros(length(coord_comma),1)];
sh_coord_qmark=coord_qmark+[4*width*ones(length(coord_qmark),1) zeros(length(coord_qmark),1)];
sh_coord_emark=coord_emark+[5*width*ones(length(coord_emark),1) zeros(length(coord_emark),1)];
sh_coord_slash=coord_slash+[6*width*ones(length(coord_slash),1) zeros(length(coord_slash),1)];
%sh_coordH=coordH+[7*width*ones(length(coordH),1) zeros(length(coordH),1)];
%sh_coordI=coordI+[8*width*ones(length(coordI),1) zeros(length(coordI),1)];
%sh_coordJ=coordJ+[9*width*ones(length(coordJ),1) zeros(length(coordJ),1)];
sp_coord=[coord_space; sh_coord_col; sh_coord_dot; sh_coord_comma; sh_coord_qmark; sh_coord_emark; sh_coord_slash];% sh_coordB; sh_coordC; sh_coordD; sh_coordE; sh_coordF; sh_coordG; sh_coordH; sh_coordI; sh_coordJ];
sp_coord=sp_coord+[factor*1*ones(length(sp_coord),1) factor*2*ones(length(sp_coord),1)];
sp_coord=sp_coord';
X_sp=sp_coord(1,1:end);
Y_sp=sp_coord(2,1:end);
line(X_sp,Y_sp)
axis([0,100*factor,0,18*factor])    % frame


%% Printing
number = coord3;
[r c] = size(number);
fprintf('{\n\t%i,\n',r)
for i = 1:r 
   if i==r
       s = '';
   else
       s = ',';
   end
   fprintf('\t%i,\t\t%i%s\n',number(i,1), number(i,2), s)
end
fprintf('};\n');